<?php
require 'verifica_cookie.php';
ini_set('display_errors', 1);
error_reporting(E_ALL);
require 'conexao.php';

$enviar = (isset($_POST['enviar'])) ? $_POST['enviar'] : '' ;
$venda  = (isset($_POST['venda'])) ? $_POST['venda'] : '' ;
$pdo      = Conexao::getInstance();
$contErro = 0;

if (empty($enviar)):
	$contErro += 1;
endif;

if (empty($venda)):
	$contErro += 1;
endif;

if ($contErro):
	 $output = json_encode(array('status'=>'0', 'text' => 'Existem campos vazios!'));
     die($output);
endif;

$sql = "UPDATE vendaitem SET mobile_impressao = 'S' WHERE ven_001 = :venda AND origem_pedido = 'M'";
$stm = $pdo->prepare($sql);
$stm->bindValue(':venda', $venda);
$retorno = $stm->execute();

if ($retorno):
	echo json_encode(array('status'=>'1', 'text' => 'Gravado com sucesso'));
else:
	echo json_encode(array('status'=>'0', 'text' => 'Erro ao gravar item!'));
endif;